Subject: bug#11276: minibuffers windows can no longer explictly be resized

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Apr 2012 17:37:58 +0300

> Date: Thu, 19 Apr 2012 12:42:06 +0200
> From: martin rudalics <[email-masked]>
> Cc: [email-masked]
> 
> First bug.  I forgot that one can invoke `enlarge-window' and
> `shrink-window' in the minibuffer window.  I'm not sure though whether these
> should have any effect when `resize-mini-windows' is non-nil.

For compatibility with previous versions of Emacs, I think it
shouldn't, at least not on the emacs-24 branch.

resize-mini-windows is a misnomer: it actually means "mini-window size
is controlled by display engine".  That's why window-sizing commands
in previous versions never paid heed to it, only redisplay did.  And
that's why, quite counter-intuitively, setting it to _nil_ allows the
user to resize the mini-window.

We could make the implementation more in line with the name in future
versions, if we want, of course.